from enum import Enum

class SavesPreference(Enum):
    LATEST_UPLOAD = "latest upload"
    LATEST_PROGRESS = "latest progress"

class SavesPreferenceButton(Enum):
    LATEST_UPLOAD = "Latest upload   "
    LATEST_PROGRESS = "Latest progress   "

class Theme(Enum):
    AUTO = "auto"
    LIGHT = "light"
    DARK = "dark"

class ThemeButton(Enum):
    AUTO = "Auto   "
    LIGHT = "Light   "
    DARK = "Dark   "

class ConnectionState(Enum):
    OK = "ok"
    BAD = "bad"
    UNAUTHORIZED = "unauthorized"

class SaveType(Enum):
    LOCAL = "local"
    REMOTE = "remote"
    BOTH = "both"

class SaveState(Enum):
    OUTDATED = "outdated"
    RECENT = "recent"
    CURRENT = "current"