import locale
from os import path
from classes.app import App
from modules.utils import jsonSave

if not path.exists("config.json"):
    jsonSave(
        {
            "name": None,
            "address": None,
            "apikey": None,
            "allow_self_signed": False,
            "saves_location": None,
            "dark_mode": False,
            "dark_mode_auto": True,
            "first_run": True,
            "prefer_saves": "latest upload"
        },
        "config.json"
    )
    
locale.setlocale(locale.LC_ALL, '')

if __name__ == "__main__":

    app = App()
        
    app.mainloop()